Bug 1101224 - [abrt] libreoffice-core: ScTable::GetName(rtl::OUString&) const(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: ScTable::GetName(rtl::OUString&) const(): soffice.bi...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Eike Rathke
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c70b4b23850e651fb5d95a03af5...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-26 12:21 UTC by victor.chirita
Modified: 2014-06-05 21:53 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-06-05 21:53:04 UTC


Attachments (Terms of Use)
File: backtrace (49.16 KB, text/plain)
2014-05-26 12:21 UTC, victor.chirita
no flags Details
File: cgroup (172 bytes, text/plain)
2014-05-26 12:21 UTC, victor.chirita
no flags Details
File: core_backtrace (27.42 KB, text/plain)
2014-05-26 12:21 UTC, victor.chirita
no flags Details
File: dso_list (25.27 KB, text/plain)
2014-05-26 12:21 UTC, victor.chirita
no flags Details
File: environ (2.09 KB, text/plain)
2014-05-26 12:21 UTC, victor.chirita
no flags Details
File: exploitable (82 bytes, text/plain)
2014-05-26 12:21 UTC, victor.chirita
no flags Details
File: limits (1.29 KB, text/plain)
2014-05-26 12:21 UTC, victor.chirita
no flags Details
File: maps (125.52 KB, text/plain)
2014-05-26 12:21 UTC, victor.chirita
no flags Details
File: open_fds (1.29 KB, text/plain)
2014-05-26 12:21 UTC, victor.chirita
no flags Details
File: proc_pid_status (954 bytes, text/plain)
2014-05-26 12:21 UTC, victor.chirita
no flags Details
File: var_log_messages (229 bytes, text/plain)
2014-05-26 12:21 UTC, victor.chirita
no flags Details
the excel file (354.80 KB, application/octet-stream)
2014-05-26 13:49 UTC, victor.chirita
no flags Details

Description victor.chirita 2014-05-26 12:21:10 UTC
Description of problem:
Open an excel file in LibreOffice

Copy contents of any cel by CTRL+C

Paste content in opened google 

Version-Release number of selected component:
libreoffice-core-4.2.4.2-8.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc '/home/morpheus/worldcup2014/worldcup2014/World Cup 2014.xlsx' --splash-pipe=5
crash_function: ScTable::GetName(rtl::OUString&) const
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.14.4-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ScTable::GetName(rtl::OUString&) const at /usr/lib64/libreoffice/program/../program/libsclo.so
 #1 ScDocument::GetAllTableNames() const at /usr/lib64/libreoffice/program/../program/libsclo.so
 #2 ScCompiler::SetGrammar(formula::FormulaGrammar::Grammar) at /usr/lib64/libreoffice/program/../program/libsclo.so
 #3 ScFormulaCell::ScFormulaCell(ScDocument*, ScAddress const&, ScTokenArray const&, formula::FormulaGrammar::Grammar, unsigned char) at /usr/lib64/libreoffice/program/../program/libsclo.so
 #4 ScConditionEntry::Interpret(ScAddress const&) at /usr/lib64/libreoffice/program/../program/libsclo.so
 #5 ScConditionEntry::IsCellValid(ScRefCellValue&, ScAddress const&) const at /usr/lib64/libreoffice/program/../program/libsclo.so
 #6 ScConditionalFormat::GetCellStyle(ScRefCellValue&, ScAddress const&) const at /usr/lib64/libreoffice/program/../program/libsclo.so
 #7 ScDocument::GetCondResult(ScRefCellValue&, ScAddress const&, ScConditionalFormatList const&, std::vector<unsigned int, std::allocator<unsigned int> > const&) const at /usr/lib64/libreoffice/program/../program/libsclo.so
 #8 ScDocument::GetCondResult(short, int, short) const at /usr/lib64/libreoffice/program/../program/libsclo.so
 #9 ScHTMLExport::WriteCell(short, int, short) at /usr/lib64/libreoffice/program/../program/libscfiltlo.so

Comment 1 victor.chirita 2014-05-26 12:21:14 UTC
Created attachment 899292 [details]
File: backtrace

Comment 2 victor.chirita 2014-05-26 12:21:15 UTC
Created attachment 899293 [details]
File: cgroup

Comment 3 victor.chirita 2014-05-26 12:21:17 UTC
Created attachment 899294 [details]
File: core_backtrace

Comment 4 victor.chirita 2014-05-26 12:21:18 UTC
Created attachment 899295 [details]
File: dso_list

Comment 5 victor.chirita 2014-05-26 12:21:20 UTC
Created attachment 899296 [details]
File: environ

Comment 6 victor.chirita 2014-05-26 12:21:21 UTC
Created attachment 899297 [details]
File: exploitable

Comment 7 victor.chirita 2014-05-26 12:21:22 UTC
Created attachment 899298 [details]
File: limits

Comment 8 victor.chirita 2014-05-26 12:21:24 UTC
Created attachment 899299 [details]
File: maps

Comment 9 victor.chirita 2014-05-26 12:21:25 UTC
Created attachment 899300 [details]
File: open_fds

Comment 10 victor.chirita 2014-05-26 12:21:27 UTC
Created attachment 899301 [details]
File: proc_pid_status

Comment 11 victor.chirita 2014-05-26 12:21:28 UTC
Created attachment 899302 [details]
File: var_log_messages

Comment 12 Caolan McNamara 2014-05-26 13:07:11 UTC
can you attach the spreadsheet which triggered this crash ?

Comment 13 victor.chirita 2014-05-26 13:48:46 UTC
Hi,

Sure thing, but I don't seem to find the attach file button...

Now I saw that my coments were incomplete:
 - steps to reproduce:
 - create in google drive a new excel (using firefox 29.0.1)
 - open file
 - try to copy paste all content from excel to google spreadsheet
 - libre office crashes.

Comment 14 victor.chirita 2014-05-26 13:49:42 UTC
Created attachment 899313 [details]
the excel file

Comment 15 Eike Rathke 2014-05-27 10:26:04 UTC
Detail: to reproduce select the "2014 World Cup" sheet, Ctrl+A, Ctrl+C, in Google spreadsheet Ctrl+V

Comment 17 Eike Rathke 2014-06-02 19:54:48 UTC
Resolved with libreoffice-4.2.4.2-16.fc20

Comment 18 Fedora Update System 2014-06-02 20:08:53 UTC
libreoffice-4.2.4.2-16.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.4.2-16.fc20

Comment 19 Fedora Update System 2014-06-04 07:55:20 UTC
Package libreoffice-4.2.4.2-16.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.4.2-16.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7061/libreoffice-4.2.4.2-16.fc20
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2014-06-04 08:26:29 UTC
libreoffice-4.2.4.2-17.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.4.2-17.fc20

Comment 21 Fedora Update System 2014-06-05 21:53:04 UTC
libreoffice-4.2.4.2-17.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.